/****************************************************************************/
/* GF08 ( テーブル関連定義 )                                                */
/*                                                                          */
/* Created : 2013/07/05 19:03:20                                            */
/****************************************************************************/
CREATE TABLE GF08 (
   SYSTEM_ID    VARCHAR ( 10 )                  NOT NULL            /*  10 システムID       */
 , TBLSYU       VARCHAR (  1 )                  NOT NULL            /*  20 テーブル種別     */
 , TABLE_NAME_L VARCHAR ( 50 )                  NOT NULL            /*  30 テーブル名(左)   */
 , CLM_L        VARCHAR ( 30 )                  NOT NULL            /*  40 項目(左)         */
 , TABLE_NAME_R VARCHAR ( 50 )                  NOT NULL            /*  50 テーブル名(右)   */
 , CLM_R        VARCHAR ( 30 )                  NOT NULL            /*  60 項目(右)         */
 , SEQNO        INTEGER             DEFAULT 0   NOT NULL            /*  70 表示順           */
 , UNIQ         BIGINT                          NOT NULL            /*  80 ユニークキー     */
 , FGJ          VARCHAR (  1 )      DEFAULT '1' NOT NULL            /*  90 状態フラグ       */
 , JOINTYPE     VARCHAR (  1 )      DEFAULT '1' NOT NULL            /* 100 連携タイプ       */
 , DYSET        VARCHAR ( 14 )                                      /* 110 登録日時         */
 , PGSET        VARCHAR ( 10 )                                      /* 120 作成PG           */
 , PGPSET       VARCHAR ( 10 )                                      /* 130 作成親PG         */
 , USRSET       VARCHAR ( 10 )                                      /* 140 作成社員         */
 , DYUPD        VARCHAR ( 14 )                                      /* 150 更新日時         */
 , PGUPD        VARCHAR ( 10 )                                      /* 160 更新PG           */
 , PGPUPD       VARCHAR ( 10 )                                      /* 170 更新親PG         */
 , USRUPD       VARCHAR ( 10 )                                      /* 180 更新者           */
);

CREATE SEQUENCE GF08S00 ;


CREATE TRIGGER GF08T00 FOR GF08
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF08S00,1 );
  END; 


